Subject: Re: [alto] Authoritative status of costs

From: Richard Alimi <[email-masked]>
Date: Mon, 24 Oct 2011 10:59:28 -0700

Hi Bill,

On Tue, Aug 30, 2011 at 7:39 AM, Bill Roome <[email-masked]> wrote:
> Ben raises an interesting point: do we expect clients will actually
> contact multiple ALTO servers and compare the costs they return? That
> never occurred to me. It does seem like a lot of effort for little gain.
> I'm reminded of the old observation that "A man with one watch knows the
> time of day. A man with two watches is never sure."

I like that analogy :)

> Also, comparing the costs from multiple ALTO servers only makes sense if
> those servers use the same PID map.

I'm not quite sure this is necessary, since I might also be interested
if they are doing aggregations differently.  In the abstract sense,
there is a 2^128 x 2^128 matrix (for IPv6) or 2^32 x 2^32 matrix (for
IPv4) that can be compared for similarity.

> That implies those servers are tied
> together administratively. And that in turn implies the servers are
> probably getting their costs from the same underlying source, and
> differences are most likely due to delays in propagating the cost
> information to the servers.

One application for querying multiple ALTO servers might be to get
data from multiple view points (analogy to BGP looking glass servers).
 For example, iPlane might possibly pull in this information and
relate it to their other data to try and understand the differences
for costs.

Note that I'm not arguing for a continuous "authoritativeness" metric
(I disagree with it) - I'm just pointing out an additional use case
for querying multiple ALTO servers.

> That, in turn, implies that it might be useful if the ALTO server returned
> an optional time-stamp for the cost data. The time stamp should be for the
> overall cost map, not on individual pid-pair costs. Time stamps would be
> arbitrary numbers, and would only be comparable for cost maps with the
> same map-vtag. Higher value means "more recent."

HTTP should already provide this with the Last-Modified header.

Thanks,
Rich

>
>        - Bill Roome
>
> On 08/30/2011 09:55, "Ben Niven-Jenkins" <[email-masked]> wrote:
>
>>It would seem to only apply to cases where clients are speaking with
>>multiple ALTO servers returning different costs for the same PIDs pairs
>>so the client can normalise or otherwise distinguish which ALTO server's
>>response is the one to 'trust' for a given PID/path because if a client
>>only speaks to one ALTO server then inferred cost data is presumably
>>preferable to no cost data (as the client can always ignore the data from
>>the ALTO server anyway), no?
>>
>
>
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto
>